View Issue Details

IDProjectCategoryView StatusLast Update
0015175ScribusStory Editor / Text Framespublic2019-06-04 20:56
ReporterJehan Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.4.svn 
Summary0015175: Adding a "Link annotation" with no contents generates a "Empty text frame" error in preflight verifier
DescriptionCurrently I believe the only solution to add web links to pieces of text (or image or any item) is with the "Link annotation" frame.

It turns out that this frame is actually a text frame, except that you can't edit it with double click (this opens the annotation properties) as usual. So you are force to "Edit contents of frame" (E) or use the story editor.
That's a first usability issue since this is not made at all obvious that this is a text frame and that we are supposed to fill it if we don't want errors in the preflight verifier.

The second issue is that often you actually don't want to fill the frame with text!
Sometimes it makes sense anyway, but other times:

- the link may not be text (you may want to link an image or whatnot).
- Even when the link is text, it may be text inside a bigger text (i.e. transform just a few words into links, and you certainly don't want to have these few words floating around in a separate frame, which would be a horror for the layout and for later copy-paste in the PDF, etc.).

So for these case, you'd just want your empty "Link annotation" frame that you place over the text or image.
Could we make so that "Link annotation" do not generate "Empty text frame" errors?
Steps To Reproduce- Create a "Link annotation" frame.
- Hit the "Preflight verifier" button.

Result: you get an error.
TagsNo tags attached.
PatchNo

Activities

Jehan

2018-02-27 17:47

reporter   ~0045010

P.S.: actually I just made a test, and when additing text into the Link Annotation, it was not displayed in the exported PDF. So that makes even less sense to make an error out of it in the preflight verifier (this will just be text polluting your visual space with text not actually printed).

Issue History

Date Modified Username Field Change
2018-02-27 16:20 Jehan New Issue
2018-02-27 17:47 Jehan Note Added: 0045010
2018-03-10 13:32 jghali Assigned To => jghali
2018-03-10 13:32 jghali Status new => resolved
2018-03-10 13:32 jghali Resolution open => fixed
2018-03-10 13:32 jghali Fixed in Version => 1.5.4.svn
2019-06-04 20:56 cbradney Status resolved => closed